> For the complete documentation index, see [llms.txt](https://docs.zebec.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zebec.io/zebec-evm/zebec-evm-sdk/zebec-stream-client/withdraw-streamed-tokens.md).

# Withdraw Streamed Tokens

To withdraw tokens from a stream by receiver, use the `withdrawStream()` method:

```javascript
const streamBytes = "0xabcdef1234567890.."; // Stream ID
const tokenAddress = "0x1234567890abcdef..";
const amount = "50";
const zebecWalletWithdrawal = false;

const receipt = await zebecReceiverClient.withdrawStream(
  streamBytes,
  tokenAddress,
  amount,
  zebecWalletWithdrawal
);

console.log("Withdraw Stream Receipt:", receipt);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-evm/zebec-evm-sdk/zebec-stream-client/withdraw-streamed-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
